{% extends 'base.html.twig' %}
{% block title %}     Group Module / Modifier{% endblock %}
{% block body %}
    
    
    
    
    <div class="page-header">
        <h1>
            STAGES
            <small>
                <i class="ace-icon fa fa-angle-double-right"></i>
                MODIFIER
            </small>
        </h1>
    </div>
    
      {{ form_start(edit_form, { 'attr' : { 'class': 'form-horizontal','novalidate': 'novalidate' } }) }}
      {% for flash_message in app.session.flashBag.get('error') %}
                    <div class="alert alert-block alert-danger message_flash">
                        <button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>{{ flash_message }}</p>
                    </div>
                {% endfor %}
    
    
    
                 <div class="form-group">
        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(edit_form.observation) }} </label>
        <div class="col-sm-9">
            {{ form_widget(edit_form.observation) }}
            <span class="help-inline col-xs-12 col-sm-7">
                <span class="middle error_form">{{ form_errors(edit_form.observation) }}</span>
            </span>
        </div>
            
            
    </div>
   
            
             <div class="form-group">
        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(edit_form.dateDebut) }} </label>

        <div class="col-sm-9">
            {{ form_widget(edit_form.dateDebut) }}

            <span class="help-inline col-xs-12 col-sm-7">
                <span class="middle error_form">{{ form_errors(edit_form.dateDebut) }}</span>
            </span>
        </div>
    </div>
    <div class="form-group">
        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(edit_form.dateFin) }} </label>

        <div class="col-sm-9">
            {{ form_widget(edit_form.dateFin) }}

            <span class="help-inline col-xs-12 col-sm-7">
                <span class="middle error_form">{{ form_errors(edit_form.dateFin) }}</span>
            </span>
        </div>
    </div>  
    <hr/>

    <div class="form-group">
        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(edit_form.active) }} </label>

        <div class="col-sm-9">
            {{ form_widget(edit_form.active) }}

            <span class="help-inline col-xs-12 col-sm-7">
                <span class="middle error_form">{{ form_errors(edit_form.active) }}</span>
            </span>
        </div>
    </div>
  <!--  <div class="form-group">
        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {#{ form_label(edit_form.fermer) }} </label>

        <div class="col-sm-9">
            {{ form_widget(edit_form.fermer) }}

            <span class="help-inline col-xs-12 col-sm-7">
                <span class="middle error_form">{{ form_errors(edit_form.fermer) }#}</span>
            </span>
        </div>
    </div>-->
    <div class="form-group " style="display: none;">
        <label class="col-sm-3 control-label no-padding-right" for="duallist"> {{ form_label(edit_form.stage) }} </label>

        <div class="col-sm-9">
            {{ form_widget(edit_form.stage) }}

            <span class="help-inline col-xs-12 col-sm-7">
                <span class="middle error_form">{{ form_errors(edit_form.stage) }}</span>
            </span>
        </div>
    </div>
            
            
                <hr/>    
            
     <div class="form-group">
        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(edit_form.etablissement) }} </label>

        <div class="col-sm-9">
            {{ form_widget(edit_form.etablissement) }}

            <span class="help-inline col-xs-12 col-sm-7">
                <span class="middle error_form">{{ form_errors(edit_form.etablissement) }}</span>
            </span>
        </div>
    </div>

    <div class="form-group">
        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(edit_form.formation) }} </label>

        <div class="col-sm-9">
            {{ form_widget(edit_form.formation) }}

            <span class="help-inline col-xs-12 col-sm-7">
                <span class="middle error_form">{{ form_errors(edit_form.formation) }}</span>
            </span>
        </div>
    </div>
    <div class="form-group">
        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(edit_form.promotion) }} </label>

        <div class="col-sm-9">
            {{ form_widget(edit_form.promotion) }}

            <span class="help-inline col-xs-12 col-sm-7">
                <span class="middle error_form">{{ form_errors(edit_form.promotion) }}</span>
            </span>
        </div>
    </div>
      <div class="form-group">
        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> {{ form_label(edit_form.semestre) }} </label>

        <div class="col-sm-9">
            {{ form_widget(edit_form.semestre) }}

            <span class="help-inline col-xs-12 col-sm-7">
                <span class="middle error_form">{{ form_errors(edit_form.semestre) }}</span>
            </span>
        </div>
    </div>






    <div class="clearfix form-actions no-padding-right">
        <div class="col-md-offset-3 col-md-9">

            {{ form_widget(edit_form.save, { 'label': 'Enregistrer' }) }}                            

            &nbsp; &nbsp; &nbsp;

            {{ form_widget(edit_form.reset, { 'label': 'Réinitialiser' }) }}
                         &nbsp; &nbsp; &nbsp;
                           <a  href="{{ path('sgroupstage_index') }}" class="btn btn-sm btn-danger ">
               <i class="ace-icon fa fa-reply icon-only"></i>
               Annuler
            </a>
        </div>
    </div>


    {{form_widget(edit_form._token)}}
    {{ form_end(edit_form, {'render_rest': false}) }}

    
     {{ include ('load/load.html.twig')}}
{% endblock %}
{% block javascripts %}
    {{parent()}}

    <script src="{{ asset('assets/js/jquery.bootstrap-duallistbox.min.js') }}"></script>
    <script src="{{ asset('assets/js/bootstrap-multiselect.min.js') }}"></script>
        <script src="{{asset('assets/js/filtre.js') }}"></script>
    <script type="text/javascript">
        jQuery(function ($) {

            $(window).load(function () {


                $.ajax({
                    type: 'GET',
                     url: Routing.generate('etab_grp', {id:1 }),
                    //  data: dta,
                    processData: false,
                    contentType: false,
                    success: function (result) {
                        if (result != "error") {



                            var parsed = jQuery.parseJSON(result);
                            $(".etabli").html(parsed.data);
                           
                        } else {

                            $('.messages_view').removeClass("callout-info").addClass("callout callout-danger").show().html(result);
                        }

                    }

                });






                // Run code
            });
  


 


            var demo2 = $('select[name="appbundle_sgroupstage[stage][]"]').bootstrapDualListbox({infoTextFiltered: '<span class="label label-purple label-lg">Filtré</span>'});
            var container2 = demo2.bootstrapDualListbox('getContainer');
            container2.find('.btn').addClass('btn-white btn-info btn-bold');

        });
    </script>
    
    
    
    
    
    
    
    
    
 
{% endblock %}
